package de.steev.bm.Listener;

import de.steev.bm.Manager.GameManager;
import de.steev.bm.Interaction.Death;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.entity.Animals;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDeathEvent;
import java.util.UUID;

public class KillListener implements Listener {

    private GameManager gameManager;

    public KillListener(GameManager gameManager) {
        gameManager.getPlugin().getLogger().info("Mob Death events Registered");
        this.gameManager = gameManager;
    }

    /**
     * Implements drops on death and can handle other deaths
     * @param event the parsed event on any death
     */
    @EventHandler
    public void onEntityDeath(EntityDeathEvent event) {
        int[] amounts;
        Material[] drops;

        if(event.getEntity() instanceof Player){
            Location death = ((Player) event.getEntity()).getPlayer().getLocation();
            UUID uuid = ((Player) event.getEntity()).getPlayer().getUniqueId();
            this.gameManager.getPlugin().getPlayerDataConfig().set("" + uuid + ".death", death);
        } else if(event.getEntity() instanceof Animals) {
            if(event.getEntity().toString() == "CraftPig"){
                amounts = new int[]{ 2,2 };
                drops = new Material[]{Material.LEATHER, Material.PORKCHOP};
                Death.onAnimalDeath(amounts, drops, this.gameManager.getPlugin(), event);
            }
        }
    }
}
